Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.portlet.wildcard
Class WildcardPortletTilesApplicationContext

    java.lang.Object
      org.apache.tiles.portlet.context.PortletTilesApplicationContext
          org.apache.tiles.portlet.wildcard.WildcardPortletTilesApplicationContext

All Implemented Interfaces:
  TilesApplicationContext

Direct Known Subclasses:
  WildcardPortletTilesApplicationContext

    public class WildcardPortletTilesApplicationContext

extends PortletTilesApplicationContext

Portlet-based implementation of the TilesApplicationContext interface that can resolve resources even using wildcards.

Since:
  2.2.1
Version:
  $Rev: 817014 $ $Date: 2009-09-20 14:08:27 +0200 (dom, 20 set 2009) $

Field Summary
`protected org.springframework.core.io.support.ResourcePatternResolver` | `resolver` The pattern resolver.

Fields inherited from class org.apache.tiles.portlet.context.PortletTilesApplicationContext
`context`

Constructor Summary
`WildcardPortletTilesApplicationContext(javax.portlet.PortletContext portletContext)` Constructor.

Method Summary
`java.net.URL` | `getResource(java.lang.String path)` Return a URL for the application resource mapped to the specified path.
`java.util.Set<java.net.URL>` | `getResources(java.lang.String path)` Return a URL for the application resource mapped to the specified path.
`void` | `initialize(javax.portlet.PortletContext context)` Initialize (or reinitialize) this `PortletTilesApplicationContext` instance for the specified Portlet API objects.

Methods inherited from class org.apache.tiles.portlet.context.PortletTilesApplicationContext
`createRequestContext, getApplicationScope, getContext, getInitParams, getPortletContext, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resolver

    protected org.springframework.core.io.support.ResourcePatternResolver resolver

  The pattern resolver.

  Since:
    2.2.1

Constructor Detail

### WildcardPortletTilesApplicationContext

    public WildcardPortletTilesApplicationContext(javax.portlet.PortletContext portletContext)

  Constructor.

  Parameters:
    `portletContext` - The portlet context.
  Since:
    2.2.1

Method Detail

### initialize

    public void initialize(javax.portlet.PortletContext context)

  Initialize (or reinitialize) this `PortletTilesApplicationContext` instance for the specified Portlet API objects.

  Overrides:
    `initialize` in class `PortletTilesApplicationContext`
  Parameters:
    `context` - The `PortletContext` for this web application

### getResource

    public java.net.URL getResource(java.lang.String path)
                             throws java.io.IOException

  Return a URL for the application resource mapped to the specified path.

  Specified by:
    `getResource` in interface `TilesApplicationContext`
  Overrides:
    `getResource` in class `PortletTilesApplicationContext`
  Parameters:
    `path` - to the desired resource.
  Returns:
    the first located resource which matches the given path.
  Throws:
    `java.io.IOException` - if the path is malformed

### getResources

    public java.util.Set<java.net.URL> getResources(java.lang.String path)
                                             throws java.io.IOException

  Return a URL for the application resource mapped to the specified path.

  Specified by:
    `getResources` in interface `TilesApplicationContext`
  Overrides:
    `getResources` in class `PortletTilesApplicationContext`
  Parameters:
    `path` - to the desired resource.
  Returns:
    all resources which match the given path.
  Throws:
    `java.io.IOException` - if the url is illegal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.